﻿Imports System.Collections.ObjectModel
Namespace Person
    Public Class PersonListVm
        Inherits ViewModelBase

        Private _allPersons As List(Of Model.Person)

        Public Sub New()
            LoadPersons()
        End Sub

        Private _persons As ObservableCollection(Of PersonVm)
        Public Property Persons() As ObservableCollection(Of PersonVm) ' TODO An das DataGrid binden
            Get
                Return _persons
            End Get
            Set(ByVal value As ObservableCollection(Of PersonVm))
                _persons = value
                RaisePropertyChanged()
            End Set
        End Property

        Private Sub LoadPersons()
            'TODO Hier später Daten per XML Serializer Laden
            _allPersons = New List(Of Model.Person) From {New Model.Person("Max", "Mustermann", "Musterweg 1", 12345, "Musterdorf"),
                                                         {New Model.Person("Susi", "Sorglos", "Musterweg 3", 12345, "Musterdorf")},
                                                         {New Model.Person("Peter", "Pechvogel", "Musterweg 5", 12345, "Musterdorf")},
                                                         {New Model.Person("John", "Doe", "Musterweg 7", 12345, "Musterdorf")},
                                                         {New Model.Person("Jane", "Doe", "Musterweg 7", 12345, "Musterdorf")},
                                                         {New Model.Person("Phllip", "Wirth", "Jahnstrasse 23", 85617, "Aßling")},
                                                         {New Model.Person("Brigitte", "Fisher", "Mühlenstrasse 65", 97201, "Höchberg")},
                                                         {New Model.Person("Katja", "Herrmann", "Heinrich Heine Platz 4", 2703, "Löbau")}}
            Persons = New ObservableCollection(Of PersonVm)
            For Each p In _allPersons
                Persons.Add(New PersonVm(p))
            Next

        End Sub

    End Class
End Namespace