﻿Namespace Person
    Public Class PersonVm
        Inherits ViewModelBase

        Private _personModel As Model.Person

        Public Sub New()
            _personModel = New Model.Person
        End Sub

        Friend Sub New(pers As Model.Person)
            _personModel = pers
        End Sub

        Private _vorname As String
        Public Property Vorname() As String
            Get
                Return _personModel.Vorname
            End Get
            Set(ByVal value As String)
                _personModel.Vorname = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _nachname As String
        Public Property Nachname() As String
            Get
                Return _personModel.Nachname
            End Get
            Set(ByVal value As String)
                _personModel.Nachname = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _strasse As String
        Public Property Strasse() As String
            Get
                Return _personModel.Strasse
            End Get
            Set(ByVal value As String)
                _personModel.Strasse = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _plz As Integer
        Public Property PLZ() As Integer
            Get
                Return _personModel.PLZ
            End Get
            Set(ByVal value As Integer)
                _personModel.PLZ = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _ort As String
        Public Property Ort() As String
            Get
                Return _personModel.Ort
            End Get
            Set(ByVal value As String)
                _personModel.Ort = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _id As Guid
        Public Property ID() As Guid
            Get
                Return _personModel.ID
            End Get
            Set(ByVal value As Guid)
                _personModel.ID = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _erstelltVon As String
        Public Property ErstelltVon() As String
            Get
                Return _personModel.ErstelltVon
            End Get
            Set(ByVal value As String)
                _personModel.ErstelltVon = value
                RaisePropertyChanged()
            End Set
        End Property

        Private _erstelltAm As DateTime
        Public Property ErstelltAm() As DateTime
            Get
                Return _personModel.ErstelltAm
            End Get
            Set(ByVal value As DateTime)
                _personModel.ErstelltAm = value
                RaisePropertyChanged()
            End Set
        End Property
    End Class
End Namespace